<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/data:1.0"
                  elementFormDefault="qualified"
                  xmlns="http://www.h3c.com/netconf/data:1.0"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="basetype.xsd" namespace="http://www.h3c.com/netconf/base:1.0"></xs:import>
  <xs:element name="DHCPC6">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">

        <!--DHCPC6Config Table -->
        <xs:element name="DHCPC6Config" minOccurs="0">
          <xs:complexType>
            <xs:all>
		          <xs:element name="DSCP" minOccurs="0"  nillable="true">
		            <xs:complexType>
		               <xs:simpleContent>
		                <xs:restriction base="base:UnsignedInteger32">
		                  <xs:minInclusive value="0"></xs:minInclusive>
		                  <xs:maxInclusive value="63"></xs:maxInclusive>
		                </xs:restriction>
		              </xs:simpleContent>
		            </xs:complexType>
		          </xs:element>		       
            </xs:all>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>

		    <!--DHCP6Alloc Table -->
		    <xs:element name="DHCP6Alloc" minOccurs="0">
		      <xs:complexType>
		        <xs:choice minOccurs="0" maxOccurs="unbounded">
		          <xs:element name="Alloc" minOccurs="0">
		            <xs:complexType>
		              <xs:all>
		                <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
		                </xs:element>
		                <xs:element name="AllocEnable" minOccurs="0" type="base:Boolean" nillable="true">
		                </xs:element>
		                <xs:element name="OptionGroup" minOccurs="0"  nillable="true">
		                  <xs:complexType>
		                    <xs:simpleContent>
		                      <xs:restriction base="base:UnsignedInteger32">
		                        <xs:minInclusive value="1"></xs:minInclusive>
		                        <xs:maxInclusive value="100"></xs:maxInclusive>
		                      </xs:restriction>
		                    </xs:simpleContent>
		                  </xs:complexType>
		                </xs:element>
		                <xs:element name="RapidCommit" minOccurs="0" type="base:Boolean" nillable="true">
		                </xs:element>
		              </xs:all>
		              <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
		            </xs:complexType>
		          </xs:element>
		        </xs:choice>
		        <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
		      </xs:complexType>
		    </xs:element>
		    
		    <!--DHCP6PrefixDelegation Table -->
		    <xs:element name="DHCP6PrefixDelegation" minOccurs="0">
		      <xs:complexType>
		        <xs:choice minOccurs="0" maxOccurs="unbounded">
		          <xs:element name="PrefixDelegation" minOccurs="0">
		            <xs:complexType>
		              <xs:all>
		                <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
		                </xs:element>
		                <xs:element name="PrefixNumber" minOccurs="0"  nillable="true">
		                  <xs:complexType>
		                    <xs:simpleContent>
		                      <xs:restriction base="base:UnsignedInteger32">
		                        <xs:minInclusive value="1"></xs:minInclusive>
		                        <xs:maxInclusive value="1024"></xs:maxInclusive>
		                      </xs:restriction>
		                    </xs:simpleContent>
		                  </xs:complexType>
		                </xs:element>
		                <xs:element name="OptionGroup" minOccurs="0"  nillable="true">
		                  <xs:complexType>
		                    <xs:simpleContent>
		                      <xs:restriction base="base:UnsignedInteger32">
		                        <xs:minInclusive value="1"></xs:minInclusive>
		                        <xs:maxInclusive value="100"></xs:maxInclusive>
		                      </xs:restriction>
		                    </xs:simpleContent>
		                  </xs:complexType>
		                </xs:element>
		                <xs:element name="RapidCommit" minOccurs="0" type="base:Boolean" nillable="true">
		                </xs:element>
		              </xs:all>
		              <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
		            </xs:complexType>
		          </xs:element>
		        </xs:choice>
		        <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
		      </xs:complexType>
		    </xs:element>
		    
		    <!--DHCP6Stateless Table -->
		    <xs:element name="DHCP6Stateless" minOccurs="0">
		      <xs:complexType>
		        <xs:choice minOccurs="0" maxOccurs="unbounded">
		          <xs:element name="Stateless" minOccurs="0">
		            <xs:complexType>
		              <xs:all>
		                <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
		                </xs:element>
		                <xs:element name="StatelessEnable" minOccurs="0" type="base:Boolean" nillable="true">
		                </xs:element>
		              </xs:all>
		              <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
		            </xs:complexType>
		          </xs:element>
		        </xs:choice>
		        <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
		      </xs:complexType>
		    </xs:element>
        
        <!--DHCP6ClientInfo Table -->
		    <xs:element name="DHCP6ClientInfo" minOccurs="0">
		      <xs:complexType>
		        <xs:choice minOccurs="0" maxOccurs="unbounded">
		          <xs:element name="ClientInfo" minOccurs="0">
		            <xs:complexType>
		              <xs:all>
		                <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
		                </xs:element>
		                <xs:element name="Type" minOccurs="0" nillable="true">
		                  <xs:complexType>
		                    <xs:simpleContent>
		                      <xs:restriction base="base:UnsignedInteger32">
		                        <xs:enumeration value="0"/>
		                        <xs:enumeration value="1"/>
		                        <xs:enumeration value="2"/>
		                      </xs:restriction>
		                    </xs:simpleContent>
		                  </xs:complexType>
		                </xs:element>          		                
		                <xs:element name="State" minOccurs="0" nillable="true">
		                  <xs:complexType>
		                    <xs:simpleContent>
		                      <xs:restriction base="base:UnsignedInteger32">
		                        <xs:enumeration value="0"/>		                      
		                        <xs:enumeration value="1"/>
		                        <xs:enumeration value="2"/>
		                        <xs:enumeration value="3"/>
		                        <xs:enumeration value="4"/>
		                        <xs:enumeration value="5"/>
		                        <xs:enumeration value="6"/>
		                        <xs:enumeration value="7"/>
		                        <xs:enumeration value="8"/>
		                      </xs:restriction>
		                    </xs:simpleContent>
		                  </xs:complexType>
		                </xs:element>
		                <xs:element name="IAID" minOccurs="0"  nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value="10"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
		              	<xs:element name="ClientDUID" minOccurs="0"  nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value="260"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="ReachableViaIpv6Address" minOccurs="0" type="base:Ipv6Address" nillable="true">
                    </xs:element>	                  
                    <xs:element name="Ipv6Address" minOccurs="0" type="base:Ipv6Address" nillable="true">
                    </xs:element>		                         
		                <xs:element name="Ipv6PrefixLength" minOccurs="0"  nillable="true">
		                  <xs:complexType>
		                    <xs:simpleContent>
		                      <xs:restriction base="base:UnsignedInteger32">
		                        <xs:minInclusive value="1"></xs:minInclusive>
		                        <xs:maxInclusive value="128"></xs:maxInclusive>
		                      </xs:restriction>
		                    </xs:simpleContent>
		                  </xs:complexType>
		                </xs:element>
		                <xs:element name="DNSServer" minOccurs="0" nillable="true">
                      <xs:complexType>
                       <xs:simpleContent>
			                    <xs:restriction base="base:String">
			                      <xs:minLength value="1"></xs:minLength>
			                      <xs:maxLength value="367"></xs:maxLength>
			                    </xs:restriction>
			                  </xs:simpleContent>
                      </xs:complexType>
		                </xs:element>
                   <xs:element name="DomainName" minOccurs="0" nillable="true">
                      <xs:complexType>
                       <xs:simpleContent>
			                    <xs:restriction base="base:String">
			                      <xs:minLength value="1"></xs:minLength>
			                      <xs:maxLength value="50"></xs:maxLength>
			                    </xs:restriction>
			                  </xs:simpleContent>
                      </xs:complexType>
                   </xs:element>    
		                <xs:element name="PreferredLifetime" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
		                </xs:element>
		                <xs:element name="ValidLifetime" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
		                </xs:element>
		                <xs:element name="T1" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
		                </xs:element>
		                <xs:element name="T2" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
		                </xs:element>
		              </xs:all>
		              <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
		            </xs:complexType>
		          </xs:element>
		        </xs:choice>
		        <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
		      </xs:complexType>
		    </xs:element>
        
      </xs:choice>
      <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
    </xs:complexType>                            
  </xs:element>     
</xs:schema>
